%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% FI:PA171 - Digital Filters
%
% topic: Image compression
% author: David Svoboda 
%         Masaryk University (c) 2019
% note: designed for Matlab
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%------------------------------
% Transform coding
%------------------------------
%
% You have a function 'quantization_in_Fourier_domain' that should
% perform the quantization of the Fourier coefficients. Check, how it 
% works. Compare it to the idea of eliminating Wavelet coefficients
% that happened in the last seminar.

help quantization_in_Fourier_domain;

I = readim;

% quantization level 20%
quantization_in_Fourier_domain(I, 20, [8 8])

% quantization level 50%
quantization_in_Fourier_domain(I, 50, [8 8])

% quantization level 90%
quantization_in_Fourier_domain(I, 90, [8 8])

%--------------------------------
% Arithmetic coding
%--------------------------------
% 
% You have a function 'artihmetic_encoder' that encodes in input text sequence 
% into a series of floating point numbers. 

help arithmetic_encoder;

[K, table] = arithmetic_encoder('Kobyla ma maly bok nebo je to naopak?  :-)',6);

%
% Task:
%
% Implement the function 'arithmetic_decoder' that decodes the original 
% sequence:
%
% function [output_sequence] = arithmetic_decoder(input_sequence, appearance, width)
%
